Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.broadinstitute.genee.matrix
Interface Vector

    public interface Vector

A collection of values of the same type.

Method Summary
`Class<?>` | `getColumnClass()` Returns the most specific superclass for all the values in this vector.
`Comparator<Object>` | `getComparator()` Returns the comparator used to compare values in this vector.
`String` | `getName()` Returns the name of this vector.
`Object` | `getProperty(Object key)` Gets the value for the specified key.
`Collection<Object>` | `getPropertyKeys()` Returns a collection of all property keys in this vector.
`Object` | `getValue(int index)` Returns the value at the specified index.
`void` | `setColumnClass(Class<?> columnClass)` Sets the most specific superclass for all the values in this vector.
`void` | `setComparator(Comparator<Object> comparator)` Sets the comparator used to compare values in this vector.
`void` | `setProperty(Object key, Object value)` Sets the property for the specified key.
`void` | `setValue(int index, Object value)` Sets the value at the specified index.
`int` | `size()` Returns the number of elements in this vector.

Method Detail

### getColumnClass

    Class<?> getColumnClass()

  Returns the most specific superclass for all the values in this vector.

  Returns:
    the common ancestor class of the object values in this instance

### getComparator

    Comparator<Object> getComparator()

  Returns the comparator used to compare values in this vector.

  Returns:
    the comparator

### getName

    String getName()

  Returns the name of this vector.

  Returns:
    the name

### getPropertyKeys

    Collection<Object> getPropertyKeys()

  Returns a collection of all property keys in this vector.

  Returns:
    the collection of keys

### getProperty

    Object getProperty(Object key)

  Gets the value for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value

### getValue

    Object getValue(int index)

  Returns the value at the specified index.

  Parameters:
    `index` - the index
  Returns:
    the value.

### setColumnClass

    void setColumnClass(Class<?> columnClass)

  Sets the most specific superclass for all the values in this vector.

  Parameters:
    `columnClass` - the common ancestor class of the object values in this instance

### setComparator

    void setComparator(Comparator<Object> comparator)

  Sets the comparator used to compare values in this vector.

  Parameters:
    `comparator` - the comparator

### setProperty

    void setProperty(Object key,
                     Object value)

  Sets the property for the specified key.

  Parameters:
    `key` - the key
    `value` - the value

### setValue

    void setValue(int index,
                  Object value)

  Sets the value at the specified index.

  Parameters:
    `index` - the index
    `value` - the value

### size

    int size()

  Returns the number of elements in this vector.

  Returns:
    the size.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD